<nav class="navbar navbar-expand-lg navbar-light bg-light">
    <a class="navbar-brand" href="#">BaratonStore</a>
     <button class="navbar-toggler" type="button" data-toggle="dropdown" data-target="#navbarSupportedContent"
      aria-controls="navbarSupportedContent" aria-haspopup="true" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
  
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <ul class="navbar-nav mr-auto">
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown"
            aria-haspopup="true" aria-expanded="false">
            Categorias
          </a>
          <ul menu-component class="dropdown-menu multi-level" role="menu" aria-labelledby="dropdownMenu"
            [categories]=getActiveCategories()></ul>
        </li>
      </ul>
     

      <form class="form-inline my-2 my-lg-0">
                <div class="input-group input-group-sm">
                    <input type="text" class="form-control" aria-label="Small" aria-describedby="inputGroup-sizing-sm" placeholder="Buscar..." name="filterName" [(ngModel)]="filterName">
                    <div class="input-group-append">
                        <button type="button" class="btn btn-primary btn-number" [routerLink]="['/product-list/-1',{filterName:filterName}]" >
                            <i class="fa fa-search"></i>
                        </button>
                    </div>
                </div>
                <a [routerLink]="'/cart'"class="btn btn-success btn-sm ml-3" href="cart.html">
                    <i class="fa fa-shopping-cart"></i> Cart
                    <span class="badge badge-light">{{getQuantityProductToBuy()}}</span>
                </a>
            </form>
    </div>
  </nav>